<!DOCTYPE html>
<html xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title>Hansab</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="font-awesome/css/font-awesome.min.css" />

    <script type="text/javascript" src="js/jquery-1.10.2.min.js"></script>
    <script type="text/javascript" src="bootstrap/js/bootstrap.min.js"></script>
</head>
<body >

    <div class="container mb-5">

        <div class="page-header">

            <div class="row">
                <div class="col-md-4">
                    <h1>Hansab <small>Emails</small></h1>
                </div>

            </div>
        </div>



        <div class="container main_cont">
            <div class="row ">
                <div class="col-md-12">
                    <div class="row">
                        <nav class="navbar navbar-default main-navbar">
                            <div class="container-fluid">

                                <div class="navbar-header">

                                    <a class="navbar-brand" id="brand" href="#">Hello, <u>Tester!</u></a>
                                </div>
                            </div>
                        </nav>
                    </div>
                    <div class="row container">

                    <div class="col-md-12  ">
                        <div class="row" id="row_style">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <div class="row">
                                        <div class="col-xs-4 col-md-4">
                                            <p id="inbox_parag">INBOX</p>
                                        </div>

                                    </div>
                                </div>
                                <div class="panel-body">

                                        <div class="row">
                                            <div class="col-xs-9 col-md-10">
                                                <div class="btn-group">

                                                    <a class="btn btn-warning" th:href="@{/inbox}">
                                                        <i class=" fa fa-refresh fa-lg"></i>
                                                    </a>
                                                </div>



                                            </div>

                                        </div>
                                            <div class="row " style="margin-top: 20px">
                                                <div class="col-md-12">
                                                    <div class="list-group">
                                                        <a  class="list-group-item list-group-item-action active" style="  color: #080808">
                                                            <div class="row " >
                                                                <div class="col-md-5">
                                                                    Sender Email
                                                                </div>
                                                                <div class="col-md-7 ">
                                                                    Subject
                                                                </div>

                                                            </div>
                                                        </a>


                                                            <a th:href="'#msg-'+${email.mailId}" class="list-group-item list-group-item-action" th:each="email: ${Emails}" data-toggle="modal" style=" color: #080808">
                                                                <div class="row " th:switch="${email.code}" >
                                                                    <div class="col-5 col-md-5" th:case="'red'" th:text="${email.mailSender}" style="background-color: red;"></div>
                                                                    <div class="col-5 col-md-5" th:case="'yellow'" th:text="${email.mailSender}" style="background-color: yellow;"></div>
                                                                    <div class="col-5 col-md-5" th:case="'green'" th:text="${email.mailSender}" style="background-color: green;"></div>
                                                                    <div class="col-7 col-md-7" th:text="${email.mailSubject}" style=""></div>

                                                                    <div class="modal" th:id="'msg-' + ${email.mailId}" aria-hidden="true" >
                                                                        <div class="py-5 text-center text-white" style="margin-top:100px">
                                                                            <div class="container" style="">
                                                                                <div class="row">
                                                                                    <div class="col-md-12">

                                                                                        <div class="panel" >

                                                                                            <button type="button" class="close" data-dismiss="'msg-' + ${email.mailId}">&times;</button>

                                                                                            <div class="panel-header " th:text="${email.mailSender}" style="background-color:#BA481B;">


                                                                                            </div>
                                                                                            <div class="panel" style="background-color: white">
                                                                                                <h4 th:text="${email.mailSubject}" style="align-items: start"></h4>
                                                                                                <p th:text="${email.mailBody}"></p>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </a>

                                                    </div>
                                                </div>
                                            </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>




            </div>
        </div>
    </div>

        <style>
            .main_cont {
                font-family: "Roboto", "Helvetica Neue", Helvetica, Arial, sans-serif;
                border: 1px solid black;
                border-radius: 6px;
                margin-top: 40px;
                margin-bottom: 100px;
                height: 90%;
            }

            .main-navbar {
                background: #3e3f3a;
                border: none;
            }




        </style>



    </div>



</body>
</html>